From: =?utf-8?q?S=C3=A9bastien_Delafond?= <sdelafond@gmail.com>
Date: Sun, 5 Aug 2018 13:57:01 +0200
Subject: Remove upper-bound versions dependencies and downgrade dependencies

---
 setup.py | 68 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 34 insertions(+), 34 deletions(-)

diff --git a/setup.py b/setup.py
index 485020a..9ac4e78 100644
--- a/setup.py
+++ b/setup.py
@@ -67,46 +67,46 @@ setup(
     # https://packaging.python.org/en/latest/requirements/#install-requires
     # It is not considered best practice to use install_requires to pin dependencies to specific versions.
     install_requires=[
-        "asgiref>=3.2.10,<3.4",
-        "blinker>=1.4, <1.5",
-        "Brotli>=1.0,<1.1",
+        "asgiref>=3.2.10",
+        "blinker>=1.4",
+        "Brotli>=1.0",
         "certifi>=2019.9.11",  # no semver here - this should always be on the last release!
-        "click>=7.0,<8",
-        "cryptography>=3.3,<3.4",
-        "flask>=1.1.1,<1.2",
-        "h2>=4.0,<5",
-        "hyperframe>=6.0,<7",
-        "kaitaistruct>=0.7,<0.10",
-        "ldap3>=2.8,<2.9",
-        "msgpack>=1.0.0, <1.1.0",
-        "passlib>=1.6.5, <1.8",
-        "protobuf>=3.14,<3.15",
-        "pyasn1>=0.3.1,<0.5",
-        "pyOpenSSL>=20.0,<20.1",
-        "pyparsing>=2.4.2,<2.5",
-        "pyperclip>=1.6.0,<1.9",
-        "ruamel.yaml>=0.16,<0.17",
-        "sortedcontainers>=2.3,<2.4",
-        "tornado>=4.3,<7",
-        "urwid>=2.1.1,<2.2",
-        "wsproto>=1.0,<1.1",
-        "publicsuffix2>=2.20190812,<3",
-        "zstandard>=0.11,<0.15",
+        "click>=7.0",
+        "cryptography>=3.2",
+        "flask>=1.1.1",
+        "h2>=4.0",
+        "hyperframe>=6.0",
+        "kaitaistruct>=0.7",
+        "ldap3>=2.8",
+        "msgpack>=1.0.0",
+        "passlib>=1.6.5",
+        "protobuf>=3.6.0",
+        "pyasn1>=0.3.1",
+        "pyOpenSSL>=19.1.0",
+        "pyparsing>=2.4.2",
+        "pyperclip>=1.6.0",
+        "ruamel.yaml>=0.16",
+        "sortedcontainers>=2.1",
+        "tornado>=4.3",
+        "urwid>=2.1.1",
+        "wsproto>=0.14",
+        "publicsuffix2>=2.20190812",
+        "zstandard>=0.11",
     ],
     extras_require={
         ':sys_platform == "win32"': [
-            "pydivert>=2.0.3,<2.2",
+            "pydivert>=2.0.3",
         ],
         'dev': [
-            "hypothesis>=5.8,<6",
-            "parver>=0.1,<2.0",
-            "pytest-asyncio>=0.10.0,<0.14,!=0.14",
-            "pytest-cov>=2.7.1,<3",
-            "pytest-timeout>=1.3.3,<2",
-            "pytest-xdist>=2.1.0,<3",
-            "pytest>=6.1.0,<7",
-            "requests>=2.9.1,<3",
-            "tox>=3.5,<4",
+            "hypothesis>=5.8",
+            "parver>=0.1",
+            "pytest-asyncio>=0.10.0,!=0.14",
+            "pytest-cov>=2.7.1",
+            "pytest-timeout>=1.3.3",
+            "pytest-xdist>=2.1.0",
+            "pytest>=6.1.0",
+            "requests>=2.9.1",
+            "tox>=3.5",
         ]
     }
 )
